Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
How do I install ZZogl on Ubuntu 16?
#11
No guarantee and you're on your own to make it work Wink

It is the best I can do for you.


Attached Files
.xz   zzogl.tar.xz (Size: 268,7 KB / Downloads: 16)
Reply

Sponsored links

#12
(04-14-2017, 05:30 PM)gregory Wrote: No guarantee and you're on your own to make it work Wink

It is the best I can do for you.

Thank you so much!

One quick question that you might have an easy answer to - I copied the .so and .dat file to /usr/lib/games/PCSX2, where all the other plugins are, but it doesn't get listed in in the GS options - do I need to do something more in order to get PCSX2 to see that it exists, or is that a sign that it just won't work?
Reply
#13
I forgot to say that you need to install libcg. You can check the missing dependency with the ldd command on the plugin.
[code]
ldd ...zzogl.so
[code]
Reply
#14
(04-14-2017, 08:22 PM)gregory Wrote: I forgot to say that you need to install libcg. You can check the missing dependency with the ldd command on the plugin.
[code]
ldd ...zzogl.so
[code]

Thanks!

I am close, having installed all but one of the dependencies. (For other people looking, http://packages.ubuntu.com/ is a great resource for figuring out which packages you need to install to get specific libraries).

However I am stuck on one thing - libGLEW, for which zzogl needs libGLEW.so.1.10, but apt-get install libglew-dev:i386 installs libGLEW.so.1.13!

So far my research hasn't found me a way to get the earlier version. Any ideas?
Reply
#15
Oups I forgot this one. ZZogl is so old.

Here mine. You can use the env LD_LIBRARY_PATH variable to search for external library.


Attached Files
.xz   libGLEW.so.1.10.0.xz (Size: 100,1 KB / Downloads: 16)
Reply
#16
(04-15-2017, 12:55 PM)gregory Wrote: Oups I forgot this one. ZZogl is so old.

Here mine. You can use the env LD_LIBRARY_PATH variable to search for external library.

Thank you so much!

Well, I guess I got PCSX2 to recognize ZZogl, because now instead of not showing it when I open plugins, it just core dumps.

I really appreciate the effort you have put in on this, but I guess it's a no go. Thanks!
Reply
#17
Well, check the console message maybe it didn't manage to open the shader file.

But yeah, it would be better to upgrade.
Reply
#18
(04-16-2017, 11:06 AM)gregory Wrote: Well, check the console message maybe it didn't manage to open the shader file.

But yeah, it would be better to upgrade.

I had a look, but it just says illegal instruction (core dumped)

Thanks again!
Reply
#19
Try this SSE2 build instead Tongue2


Attached Files
.xz   libzzogl-0.4.0.so.xz (Size: 201,79 KB / Downloads: 15)
Reply
#20
(04-17-2017, 10:30 AM)gregory Wrote: Try this SSE2 build instead Tongue2

Wow, you are awesome!

It got further this time, but core dumps if I try to configure the plugin or load anything (Error in calling GSopen2, invalid pointer, all sorts of errors).

Don't worry about pursuing this, I was hopeful that I might be able to get it to work, but it's not the end of the world that I can't.

Thanks again!
Reply




Users browsing this thread: 1 Guest(s)